from django.db import models


class VslDest(models.Model):
    # ID auto-incrémenté par défaut
    id = models.AutoField("ID du Suivi", primary_key=True)

    # Champ de chaîne de caractères avec une longueur maximale de 255 caractères
    name = models.CharField("Dénomination", max_length=255)

    # Champ pour la date de création, automatiquement défini à la création
    dtCreate = models.DateTimeField("Date de création", auto_now_add=True)

    # Champ pour la date de modification, automatiquement mis à jour à chaque modification
    dtUpdate = models.DateTimeField("Date de modification", auto_now=True)

    def __str__(self):
        return self.name
    class Meta:
        verbose_name = "Destination VSL"
        verbose_name_plural = "Destinations VSL"
        ordering = ["id"]